Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.html.struts11.actions
Class EditAction

`java.lang.Object
org.apache.struts.action.Action
org.apache.struts.actions.DispatchAction
oracle.jbo.html.struts11.actions.EditAction`

public class EditAction
extends org.apache.struts.actions.DispatchAction

EditAction

Since:
  JDeveloper 9.0.3

Field Summary

Fields inherited from class org.apache.struts.actions.DispatchAction
`clazz, log, messages, methods, types`

Fields inherited from class org.apache.struts.action.Action
`ACTION_SERVLET_KEY, APPLICATION_KEY, DATA_SOURCE_KEY, defaultLocale, ERROR_KEY, EXCEPTION_KEY, FORM_BEANS_KEY, FORWARDS_KEY, LOCALE_KEY, MAPPING_KEY, MAPPINGS_KEY, MESSAGE_KEY, MESSAGES_KEY, MULTIPART_KEY, PLUG_INS_KEY, REQUEST_PROCESSOR_KEY, servlet, SERVLET_KEY, TRANSACTION_TOKEN_KEY`

Constructor Summary
`EditAction()`

Method Summary
`org.apache.struts.action.ActionForward` | `create(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` "create" dispatch method
`org.apache.struts.action.ActionForward` | `delete(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` "delete" dispatch method
`org.apache.struts.action.ActionForward` | `edit(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` "edit" dispatch method
`protected void` | `populateBC4JFormBean(BC4JContext context, org.apache.struts.action.ActionForm form)` This method transfer the data from the Model to the FormBean
`org.apache.struts.action.ActionForward` | `unspecified(org.apache.struts.action.ActionMapping mapping, org.apache.struts.action.ActionForm form, javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` unspecified dispatch method This is the case whe no event is specified.

Methods inherited from class org.apache.struts.actions.DispatchAction
`dispatchMethod, execute, getMethod`

Methods inherited from class org.apache.struts.action.Action
`execute, generateToken, getDataSource, getDataSource, getLocale, getResources, getResources, getResources, getServlet, isCancelled, isTokenValid, isTokenValid, perform, perform, resetToken, saveErrors, saveMessages, saveToken, setLocale, setServlet, toHex`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EditAction

    public EditAction()

Method Detail

### edit

    public org.apache.struts.action.ActionForward edit(org.apache.struts.action.ActionMapping mapping,
                                                       org.apache.struts.action.ActionForm form,
                                                       javax.servlet.http.HttpServletRequest request,
                                                       javax.servlet.http.HttpServletResponse response)

  "edit" dispatch method

### delete

    public org.apache.struts.action.ActionForward delete(org.apache.struts.action.ActionMapping mapping,
                                                         org.apache.struts.action.ActionForm form,
                                                         javax.servlet.http.HttpServletRequest request,
                                                         javax.servlet.http.HttpServletResponse response)

  "delete" dispatch method

### create

    public org.apache.struts.action.ActionForward create(org.apache.struts.action.ActionMapping mapping,
                                                         org.apache.struts.action.ActionForm form,
                                                         javax.servlet.http.HttpServletRequest request,
                                                         javax.servlet.http.HttpServletResponse response)

  "create" dispatch method

### unspecified

    public org.apache.struts.action.ActionForward unspecified(org.apache.struts.action.ActionMapping mapping,
                                                              org.apache.struts.action.ActionForm form,
                                                              javax.servlet.http.HttpServletRequest request,
                                                              javax.servlet.http.HttpServletResponse response)

  unspecified dispatch method This is the case whe no event is specified.

### populateBC4JFormBean

    protected void populateBC4JFormBean(BC4JContext context,
                                        org.apache.struts.action.ActionForm form)

  This method transfer the data from the Model to the FormBean

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.